#### D.15.8.22 grgroebner

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grgroebner(M), graded object M

Return:
  graded object

Purpose:
  compute graded groebner basis of M

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    module A = grobj( module([x+y, x, 0, 0], [0, x+y, y, 0]), intvec(0,0,0,1) );
    grview(A);
    ==> Graded homomorphism: r^3 + r(-1) <- r(-1)^2, given by a matrix, with degr\
       ees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   - |..1
    ==>   0 :  1   1 |..2
    ==>   0 :  -   1 |..3
    ==>   1 :  -   - |..4
    ==>      === ===
    ==>        1   1
    module B = grgroebner(A);
    grview(B);
    ==> Graded homomorphism: r^3 + r(-1) <- r(-1)^2, given by a matrix, with degr\
       ees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   - |..1
    ==>   0 :  1   1 |..2
    ==>   0 :  1   1 |..3
    ==>   1 :  -   - |..4
    ==>      === ===
    ==>        1   1

User manual for Singular version 4.4.1, 2025, generated by texi2html.